#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import pygtk
import gtk
import gobject

from abstract_parent import Gtk_parent


class Ventana_info(gobject.GObject, Gtk_parent):
    
    __gsignals__ =  { "on-close": (gobject.SIGNAL_RUN_FIRST, 
                                     gobject.TYPE_NONE, 
                                     ()),
                    }
    
    # Display the error dialog
    def __init__(self, glade_file):
        gobject.GObject.__init__(self)
        Gtk_parent.__init__(self, glade_file)

    def init_widgets(self):
        self.v_info = self.get_widget("Vmensaje")
        self.b_aceptar = self.get_widget("b_aceptar_mensaje")
        self.label_info = self.get_widget("texto_mensaje")
        self.v_info.set_icon_from_file("/usr/share/pixmaps/cga_asistencia_remota.png")
    def connect_signals(self):
        self.b_aceptar.connect("clicked", self.__cerrar)
        self.v_info.connect("delete-event", self.__cerrar)
        self.v_info.connect("destroy-event", self.__cerrar)
    
    def show(self):
        self.v_info.show_all()

    def __cerrar(self, widget, signal=None):
        self.v_info.destroy()
        self.emit("on-close")
        return True

        
    